(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(*  This example is based on an example designed for OCamlP3l.         *)
(*                                                                     *)
(***********************************************************************)

(* $Id: make_dom2.mli,v 1.12 2014/01/21 09:21:18 fclement Exp $ *)

open Rdec2;;
open Config;;
open My_data;;

val set_data : Rdec2.regular_decomposition -> My_data.my_subdomain array;;

val subdomain_worker :
  Config.configuration -> regular_decomposition * int ->
  (int * my_subdomain) list -> my_subdomain * my_subdomain
;;

val plot :
  configuration -> regular_decomposition ->
  my_subdomain array -> my_subdomain array
;;

val convergence : configuration -> my_subdomain array -> bool;;

val print_result : configuration -> string -> unit;;
