(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2012 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: pgen.mli,v 1.9 2012/02/17 14:38:55 fclement Exp $ *)

type choice = int list
type flagged_choice = choice * bool

val init_choice : int -> choice
val next_choice : int -> choice -> choice

val init_vchoice : int -> int -> int -> choice array
val recover_vchoice : choice -> int -> int -> choice array
val next_vchoice : int -> choice array -> choice array
val get_vuniq : choice array -> int array
val stop_vcond : int -> flagged_choice array -> bool
